# SDR

## Softwarově definované rádio

- Co nejdříve převést signál na digitální
- Signál zpracovávat programem
- Složitá matematika a náročné na výkon

# Signály

## Základy

- Co je to signál
- Co je to modulace
	- AM
	- FM
- Co je to vzorkování
	- Shannonův theorém

## Signály kolem nás

Identifikace signálů na [sigidwiki.com](https://sigidwiki.com)

Zajímavé rozsahy:

- 120 - 140 MHz
	- LPKR
- 156 MHz
	- Metro
- 440 MHz
	- FM hlas
- 446 MHz
	- PMR
- 516, 166-800 MHz
	- Bezdrátové mikrofony

## Signály kolem nás

Další věci které lze poslouchat:

- GSM
	- Airprobe, OsmocomBB
	- Šifrované pomocí A5/1
		- deka
- GSM-R
	- Vláčky
- TETRA
	- 420 - 440 MHz
	- Průmyslové GSM
	- Městská olicie, DPP
	- Umé spoustu módů šifrování - všude je mod 0 :)))
- TERAPOL
	- Policie, armáda

## Signály kolem nás

- FM(AFSK)
	- Vlaky
	- Sirény
	- Radiosondy

Nepříliš dobré řešení, ale levné.

## Signály kolem nás

- ACARS, ADS-B
	- Letadla
	- flightradar24.com
	- acarsdec, dump1090

## Triangulace

Triangulace

## Odrazy

Duchové

## Hardware

- BladeRF
- HackRF
- AirSpy
- SDR Play
- LimeSDR
- RTL-SDR
- ...

## Software

- rtl_*
- GNURadio
- GNURadioCompanion – GUI ke GNURadiu.
- Gqrx
- Gqrx-scanner – Frekvenční skener pro Gqrx.
- Kukuruku – Interaktivní SDR klient od Jendy Hracha.
- Fldigi
- Universal Radio Hacker
- qradiolink – Multimode SDR pro VOIP.
- SDRangel – Mocný klient pro SDR.
- SigDigger – SDR klient podobný GQRX, ale nevyužívá GNURadio.
